OMEKA에서 Text Analysis 및 Ngram 플러그인 설치시 에러가 발생하는 경우

OMEKA에서 Text Analysis 및 Ngram 플러그인 설치시 에러가 발생하는 경우 참고하시기 바랍니다.
Text Analysis를 사용하려면 Ngram 플러그인이 먼저 설치되어 있어야 하는데 Ngram 플러그인은 서버에 php-intl 확장 모듈이 없으면 작동하지 않습니다.
이 경우엔 해당 PHP 확장 모듈을 별도로 설치해 주면 이 두 가지 플러그인이 바로 작동하게 됩니다.

아래의 방식으로 설치하시기 바랍니다. Putty 터미널 등을 통해 커맨드모드 방식으로 설치하시면 됩니다.
단, 아래 명령어는 서버에 PHP가 7.0 버젼이 설치된 경우에만 사용하시기 바랍니다.

1. PHP 확장 모듈 설치
$ sudo apt-get install php7.0-intl

2. 아파치 웹서버 재시작
$ sudo /etc/init.d/apache2 restart


만약 사용 중인 PHP가 5.0 버젼인 경우엔 아래의 명령어를 사용하시기 바랍니다.
$ sudo apt-get install php5-intl

혹시 위와 같이 설치했는데도 에러가 발생하는 경우엔 아래의 추가 방법을 사용해 보세요.

1. 서버에서 PHP 설치 경로로 이동한 후 php.ini 환경설정파일을 에디터로 열고 아래와 같이 수정하고 저장
리눅스에선 보통 루트에서 etc 디렉토리 하위에 php 디렉토리가 존재합니다.

;extension=php_intl.dll 라인을 찾은 후 맨 앞의 주석( ; )만 삭제. 삭제하면 아래와 같아야 합니다.

extension=php_intl.dll

2. 웹서버 재시작


아래의 화면은 설치 화면 및 플러그인 활성화 상태를 캡쳐한 화면입니다.
설치시 참고하시기 바랍니다.

image

image

image

image


709 x 418 - 263K
917 x 453 - 233K
735 x 121 - 54K
736 x 114 - 43K
Sign In or Register to comment.